"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.events = void 0;
const bridge_1 = require("../bridge");
const serialiseBlob_1 = require("./serialiseBlob");
const callBridge = (0, bridge_1.getCallBridge)();
const emit = async (event, payload) => {
    let newPayload = payload;
    if ((0, serialiseBlob_1.containsBlobs)(payload)) {
        newPayload = await (0, serialiseBlob_1.serialiseBlobsInPayload)(payload);
    }
    return callBridge('emit', { event, payload: newPayload });
};
const on = (event, callback) => {
    const wrappedCallback = (payload) => {
        let newPayload = payload;
        if ((0, serialiseBlob_1.containsSerialisedBlobs)(payload)) {
            newPayload = (0, serialiseBlob_1.deserialiseBlobsInPayload)(payload);
        }
        return callback(newPayload);
    };
    return callBridge('on', { event, callback: wrappedCallback });
};
exports.events = {
    emit,
    on
};
