import { NavigationTarget } from './targets';
declare type ContentView = {
    target: typeof NavigationTarget.ContentView;
    contentId: string;
    version?: string;
};
declare type ContentEdit = {
    target: typeof NavigationTarget.ContentEdit;
    contentId: string;
};
declare type SpaceView = {
    target: typeof NavigationTarget.SpaceView;
    spaceKey: string;
};
declare type ContentList = {
    target: typeof NavigationTarget.ContentList;
    contentType: 'page' | 'blogpost' | 'customContent';
} & ({
    contentType: 'page' | 'blogpost';
    spaceKey: string;
} | {
    contentType: 'customContent';
    moduleKey: string;
});
declare type Module = {
    target: typeof NavigationTarget.Module;
    moduleKey: string;
    spaceKey?: string;
    projectKey?: string;
};
declare type UserProfile = {
    target: typeof NavigationTarget.UserProfile;
    accountId: string;
};
declare type Dashboard = {
    target: typeof NavigationTarget.Dashboard;
    dashboardId: string;
};
declare type Issue = {
    target: typeof NavigationTarget.Issue;
    issueKey: string;
};
declare type ProjectSettingsDetails = {
    target: typeof NavigationTarget.ProjectSettingsDetails;
    projectKey: string;
};
export declare type NavigationLocation = ContentView | ContentEdit | SpaceView | UserProfile | ContentList | Module | Dashboard | Issue | ProjectSettingsDetails;
export {};
//# sourceMappingURL=types.d.ts.map