"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.close = void 0;
const bridge_1 = require("../bridge");
const errors_1 = require("../errors");
const callBridge = (0, bridge_1.getCallBridge)();
const close = async (payload) => {
    try {
        const success = await callBridge('close', payload);
        if (success === false) {
            throw new errors_1.BridgeAPIError("this resource's view is not closable.");
        }
    }
    catch (e) {
        throw new errors_1.BridgeAPIError("this resource's view is not closable.");
    }
};
exports.close = close;
